package com.yunzhupaas.base.service;

import com.yunzhupaas.permission.entity.SignEntity;


import java.util.List;

/**
 * 个人签名
 *
 * @author 云筑产品开发平台组
 * @copyright 深圳市乐程软件有限公司
 * @date 2023/09/28
 */
public interface SignService extends SuperService<SignEntity> {


    /**
     * 列表
     *
     * @return 个人签名集合
     */
    List<SignEntity> getList();





    /**
     * 创建
     *
     * @param entity 实体对象
     */
    boolean create(SignEntity entity);



    /**
     * 删除
     *
     */
    boolean delete(String id);


    boolean  updateDefault(String id);


    //获取默认
    SignEntity  getDefaultByUserId(String id);
}

